import { DataApiQueryPath, DataApiQueryType, TimeRange, TimeResolution } from '../../entities';
import { AggregateValue, HistoricalValue } from '../../values';
import { DataApiBaseQuery } from '../../queries';
export declare class QueryInput {
    resolution?: TimeResolution;
    range?: TimeRange;
    start_date?: string;
    end_date?: string;
    date?: string;
    fill_data_gaps?: boolean;
    fill_data_gaps_skip_null_values?: boolean;
    toGraphQlInput(): string;
}
export declare class DataApiBaseQueryBuilder {
    private path;
    private queryInput?;
    private values;
    protected addToPath(path: DataApiQueryPath): void;
    protected addOption<T>(key: string, value: T): void;
    protected addValues(...values: (HistoricalValue | AggregateValue | string)[]): void;
    protected copyProps(query: DataApiBaseQueryBuilder): void;
    protected buildQuery(queryType: DataApiQueryType): DataApiBaseQuery;
    private addQueryValues;
}
