"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DataApiHistoricalQueryBuilder = void 0;
const entities_1 = require("../../entities");
const base_query_builder_1 = require("./base.query.builder");
class DataApiHistoricalQueryBuilder extends base_query_builder_1.DataApiBaseQueryBuilder {
    constructor(query) {
        super();
        this.copyProps(query);
    }
    fillDataGaps(options) {
        this.addOption('fill_data_gaps', true);
        if (options === null || options === void 0 ? void 0 : options.skipFirstNullValues) {
            this.addOption('fill_data_gaps_skip_null_values', true);
        }
        return this;
    }
    getHistorical(...values) {
        this.addValues(...values);
        return this.buildQuery(entities_1.DataApiQueryType.HISTORICAL);
    }
}
exports.DataApiHistoricalQueryBuilder = DataApiHistoricalQueryBuilder;
//# sourceMappingURL=historical.query.builder.js.map