"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DataApiQuotesQueryBuilder = void 0;
const internal_1 = require("./internal");
class DataApiQuotesQueryBuilder extends internal_1.DataApiBaseQueryBuilder {
    constructor() {
        super();
        this.addToPath({ name: 'quotes', args: [] });
    }
    historicalPrice(identifier) {
        this.addToPath({
            name: 'historical',
            args: [
                { name: 'identifier', type: 'String!', value: identifier },
            ],
            hasQuery: false,
        });
        this.addToPath({ name: 'price', args: [], hasQuery: true });
        return new internal_1.DataApiFirstLastOrAggregateQueryBuilder(this);
    }
    latest(identifier) {
        this.addToPath({
            name: 'latest',
            args: [
                { name: 'identifier', type: 'String!', value: identifier },
            ],
            hasQuery: false,
        });
        return new internal_1.DataApiLatestQuoteQueryBuilder(this);
    }
}
exports.DataApiQuotesQueryBuilder = DataApiQuotesQueryBuilder;
//# sourceMappingURL=quotes.query.builder.js.map